Skip to main content

Get offerings for a project

GET 

/api/v2/catalog/offering/projects/:projectIdentifier

Retrieves all available component offerings for a specific project by project identifier. Optionally filter by platform and/or device type to narrow down the results.

Request

Path Parameters

    projectIdentifier stringrequired

    Project identifier (ID or name)

Query Parameters

    deviceTypeIdentifier string

    Device type identifier (ID or name)

    platformIdentifier string

    Platform identifier (ID or name)

Responses

Successfully retrieved project offering

Schema

    displayName stringnullable

    Display name of the project

    label stringnullable

    Label of the project

    projectId doublerequired

    Identifier of the project

    projectName stringrequired

    Name of the project

    release

    object

    createdAt date-timerequired
    id stringrequired
    latest booleannullable
    metadata nullable
    projectName stringrequired
    releaseNotes stringnullable
    releasedAt date-time
    size int64nullable
    status Statusrequired

    Possible values: [draft, in_review, approved, released, archived]

    type Typerequired

    Possible values: [product, formation]

    updatedAt date-timerequired
    version stringrequired
Loading...